Attribute VB_Name = "Module1"
' Cet exemple permet de remplir un fond d'ecran avec un motif particulier
' Plusieurs point  respecter :
'       - Mettre la proprit Autoredraw de la form recevant la mosaique
'            True
'       - Effectuer la mosaique dans l'evenement activate pour le premier
'           remplissage
'       - La propriete Scalemode de la form contenant les fonds d'ecrans doit
'           etre en 3 (Pixels)
'
'
' (c) Eric TRIAU

Sub Mosaique(XForm As Form, ZPic As Control)
    ' XForm = Form destinataire de la mosaique
    ' Zpic = Controle Picture servant d'image de base pour la mosaique
    Dim x As Integer, y As Integer, PicHeight As Integer
    Dim PicWidth As Integer, AncienneEchelle As Integer
    
    AncienneEchelle = XForm.ScaleMode   ' Sauvegarde de l'echelle actuelle
    XForm.ScaleMode = 3                 ' Pixels
    PicHeight = ZPic.Height
    PicWidth = ZPic.Width
    For x = 0 To XForm.ScaleWidth Step PicWidth
        For y = 0 To XForm.ScaleHeight Step PicHeight
            XForm.PaintPicture ZPic.Picture, x, y
        Next y
    Next x
    XForm.ScaleMode = AncienneEchelle ' Restauration ancienne echelle
End Sub

